Get an automation
GET
Gets one of your automations by its id (aut_...).
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
automation_id*stringMatch
^aut_[0-7][0-9A-HJKMNP-TV-Z]{25}$SMB-Workspace-Id*stringWorkspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidSuccessful authorized response.
application/json- response
data*request_id*stringcurl -X GET 'https://example.com/v1/automations/string' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "data": { "id": "string", "name": "string", "action": { "property1": null, "property2": null }, "trigger": { "property1": null, "property2": null }, "where": [ { "property1": null, "property2": null } ], "room_id": "string", "business_id": "string", "notify": "string", "status": "active", "attention_reason": "failing", "next_run_at": "string", "last_run_at": "string", "latest_run_at": "string", "last_run_status": "queued", "runs_as": { "type": "person", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "name": "string" }, "created_at": "string", "updated_at": "string" }, "request_id": "string"}